#include "appli.h"

//This function send a message to a listbox, timestamps it and scrolls down the listbox.
void WriteToLB(char *message)
{
	HRESULT ScrolledMsg;
	SYSTEMTIME SystemTime;
	char buff[256];			//Make it bigger if you experience glitches in the listbox behavior

	ZeroMemory(buff,sizeof buff);

	//Getting timestamp
	GetLocalTime(&SystemTime);
	sprintf(buff,"%02d:%02d:%02d : ",SystemTime.wHour,SystemTime.wMinute,SystemTime.wSecond);
	strcat(buff,message);

	//Adds string to the listbox and makes it scroll automatically
	ScrolledMsg=SendMessage(hLB,LB_ADDSTRING,0,(LPARAM) buff);
	SendMessage(hLB,LB_SETTOPINDEX,(WPARAM) ScrolledMsg, 0);

	//Very important! I added this line because the listbox refresh took so long the messages
	//appeared when the task has finished (when it was supposed to warn the user that it was in progress)
	UpdateWindow(GetDlgItem(hDlgMain,IDC_INFO));
}

//This function retrieves the last folder (or file...) from a path (for example, give it "D:\Bin\Program1" and it will return "Program1")
char *GetLastFolder(char *Path)
{
	static char LastFolder[64]; //the "static" is VERY important, without if when the function returns, pointer gets anywhere and function returns crap.
	unsigned int SlashCount,SlashCount2,i,j;

	ZeroMemory(LastFolder,sizeof LastFolder);
	// Slash count loop
	for(SlashCount=0,i=0;i<=strlen(Path);i++)
	{
		if(Path[i]==0x5C) SlashCount++;
	}
	// Writing last folder loop
	for(i=0,j=0,SlashCount2=0;i<=strlen(Path);i++)
	{
		if(Path[i]==0x5C) SlashCount2++;
		if(SlashCount2==SlashCount)
		{

			LastFolder[j]=Path[i+1]; //The "+1" part is necessary to not get the slash character in the folder/file name that is returned by this function
			j++;
		}
	}
	return LastFolder;
}
